{"title":"Get purchaseReceipts","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_purchasereceipt_get/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_purchasereceipt_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_purchasereceipt_get","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Gets a purchaseReceipt object in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":2,"title":"HTTP request","slug":"http-request","at":92,"chars":215},{"level":2,"title":"Request headers","slug":"request-headers","at":307,"chars":72},{"level":2,"title":"Request body","slug":"request-body","at":379,"chars":61},{"level":2,"title":"Response","slug":"response","at":440,"chars":129},{"level":2,"title":"Example","slug":"example","at":569,"chars":1232},{"level":2,"title":"Related information","slug":"related-information","at":1801,"chars":136}],"text":"Retrieve the properties and relationships of a purchaseReceipt object for Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nGET businesscentralPrefix/companies({id})/purchaseReceipts({id})\n```\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\n## Request body\nDon't supply a request body for this method.\n## Response\nIf successful, this method returns a ```200 OK``` response code and an purchaseReceipts object in the response body.\n## Example\nRequest\nHere's an example of the request.\n```json\nGET https://{businesscentralPrefix}/api/v2.0/companies({id})/purchaseReceipts({id})\n```\nResponse\nHere's an example of the response.\n```json\n{\n   \"id\": \"5d115c9c-44e3-ea11-bb43-000d3a2feca1\",\n   \"number\": \"108001\",\n   \"invoiceDate\": \"2019-01-01\",\n   \"postingDate\": \"2019-01-01\",\n   \"dueDate\": \"2019-01-01\",\n   \"vendorNumber\": \"20000\",\n   \"vendorName\": \"First Up Consultants\",\n   \"payToName\": \"First Up Consultants\",\n   \"payToContact\": \"Evan McIntosh\",\n   \"payToVendorNumber\": \"20000\",\n   \"shipToName\": \"First Up Consultants\",\n   \"shipToContact\": \"Evan McIntosh\",\n   \"buyFromAddressLine1\": \"100 Day Drive\",\n   \"buyFromAddressLine2\": \"\",\n   \"buyFromCity\": \"Chicago\",\n   \"buyFromCountry\": \"US\",\n   \"buyFromState\": \"IL\",\n   \"buyFromPostCode\": \"61236\",\n   \"shipToAddressLine1\": \"100 Day Drive\",\n   \"shipToAddressLine2\": \"\",\n   \"shipToCity\": \"Chicago\",\n   \"shipToCountry\": \"US\",\n   \"shipToState\": \"IL\",\n   \"shipToPostCode\": \"61236\",\n   \"payToAddressLine1\": \"100 Day Drive\",\n   \"payToAddressLine2\": \"\",\n   \"payToCity\": \"Chicago\",\n   \"payToCountry\": \"US\",\n   \"payToState\": \"IL\",\n   \"payToPostCode\": \"61236\",\n   \"currencyCode\": \"USD\",\n   \"lastModifiedDateTime\": \"2019-01-01\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_purchasereceipt"}